Subject: Re: 1.5.7: Problem with tcsh 6.12.00-7 / sed 4.0.8-1
From: Stewart Midwinter <[email-masked]>
To: Michael Brand <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 Feb 2006 10:04:07 -0700

fyi..

---------- Forwarded message ----------
From: Michael Brand <[email-masked]>
Date: Feb 13, 2006 11:13 PM
Subject: Re: 1.5.7: Problem with tcsh 6.12.00-7 / sed 4.0.8-1
To: Stewart Midwinter <[email-masked]>
Cc: [email-masked]

 Nope, I never found a good solution, and suspect that a good solution
here requires patching some Cygwin internals, but here are three
workarounds we used back then:

 1. Disable one CPU.
 2. Use watchdog processes that will kickstart things if they get stuck.
 3. Switch to *much* older Cygwin versions, which seem to be free of
this problem.

 I am still hoping for a Cygwin version that fixes this, but I guess
that as long as there are so few people who, like me, use Cygwin as a
mass-processing infrastructure, there is little chance of this problem
getting to the top of the list of priorities.

 Cheers,
 M.

 Stewart Midwinter wrote:

 From: Michael Brand <cygwin <at> brand.scso.com>

 I disabled one of the CPUs on my dual-CPU Xeon, and everything started working

 well, so I guess this is a dual-cpu problem.

 I tried running my scripts on several dual-CPU Xeons (different
computer models, but all of them HPs), ... snip ...
it generally crashes an hour or two later, at the most.

 Joining the party a *little* late here ... :-)

I too have a dual-CPU Xeon made by HP and it too has a problem with a
tcsh script hanging when it runs for a long time (it's a polling
script). We suspect that it might have to do with forking, but are
unable to test that theory at this time.

Apart from disabling the 2nd CPU (which kind of defeats the purpose of
having such a machine!), did you ever find any other solution?

thanks
Stewart

--
Stewart Midwinter
[email-masked]
[email-masked]
Skype, GoogleTalk, iChatAV, MSN, Yahoo: midtoad
AIM:midtoad1

--
Stewart Midwinter
[email-masked]
[email-masked]
Skype, GoogleTalk, iChatAV, MSN, Yahoo: midtoad
AIM:midtoad1

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/